
/*====================================================================*/
/*  Name:     DES_SAMP.H                                              */
/*====================================================================*/
/*                                                                    */
/*  (C) COPYRIGHT International Business Machines Corp. 1987, 1996    */
/*  All Rights Reserved                                               */
/*  Licensed Materials - Property of IBM                              */
/*                                                                    */
/*  US Government Users Restricted Rights - Use, duplication or       */
/*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp. */
/*                                                                    */
/*  Function = Function Prototype for DesBrowseDocument               */
/*                                                                    */
/*  Operating System: AIX or OS/2                                     */
/*                                                                    */
/*====================================================================*/
#ifndef  DES_H_SAMP
#define  DES_H_SAMP

#include <des_ext.h>

/*--------------------------------------------------------------------*/
/*  API Services - prototype statements (Client Library)              */
/*--------------------------------------------------------------------*/
#ifdef  __cplusplus
extern "C"
{
#endif

#if defined(_AIX) || defined(__OS2__) 

DESRETURN  DESCALL
DesBrowseDocument                      /* Browse Document             */
   (
   DESBROWSESESSION   BrowseSession,   /* In -- browse session handle */
   SQLCHAR          * pHandle,         /* In -- text handle           */
   DESUSHORT          HandleLength,    /* In -- length of text handle */
   DESWINDOWHANDLE  * pWindowHandle,   /* InOut window handle         */
   DESMESSAGE       * pErrorMessage    /* Out - error message         */
   );                                  /* function value: return code */

#endif

#ifdef  __cplusplus
}
#endif

#endif                                 /* end of DES_H_SAMP           */

